/*******************************************************************************
 * Copyright (c) 2005 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Mar 2, 2005
 *
 * Contributors:
 *    Justin Braga - initial API and implementation
 * 
 * $Id: ParameterChangeListener.java,v 1.1 2006/01/23 16:06:36 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.internal.gui.utils;

import java.util.EventListener;

/**
 * @author <a href="mailto:trevelyan2001@users.sourceforge.net">Justin Braga</a>
 *
 */
public interface ParameterChangeListener extends EventListener {
    /**
     * Invoked when an object has been added to the Object Bench.
     * 
     * @param event
     *            an event describing the object being added.
     */
    public void parameterChanged();
}
