/*******************************************************************************
 * Copyright (c) 2005 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Feb 18, 2005
 *
 * Contributors:
 *    Justin Braga - initial API and implementation
 *    Liam Morley - added set() method
 * 
 * $Id: IArray.java,v 1.1 2006/01/23 16:07:05 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.cm;

/**
 * @author <a href="mailto:trevelyan2001@users.sourceforge.net">Justin Braga</a>
 *
 */
public interface IArray {
	public IObject get(int index) throws RemoteException;
	public void set(IObject value, int index) throws RemoteException;
	public int getLength();
}
