/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Jan 29, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: IField.java,v 1.1 2006/01/23 16:07:05 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.cm;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *
 */
public interface IField extends IMember {
    public IObject get(IObject obj) throws RemoteException;
    public void set(IObject obj, IObject value) throws RemoteException;
    public IClass getType();
}