/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Feb 16, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: ParserException.java,v 1.1 2006/01/23 16:08:23 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.parser;

/**
 * Represents either an unexpected token or an evaluation error.
 * 
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public class ParserException extends Exception {

    /**
     * @param msg
     *            The error message.
     */
    public ParserException(String msg) {
        super(msg);
    }

    /**
     * @param cause
     */
    public ParserException(Throwable cause) {
        super(cause);
    }
}