/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Feb 13, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: Token.java,v 1.1 2006/01/23 16:08:23 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.parser;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public class Token {
    private TokenType type;

    private String value = null;

    public Token(TokenType type) {
        this.type = type;
    }

    /**
     * @param value
     *            The value to set.
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * @return Returns the type.
     */
    public TokenType getType() {
        return type;
    }

    /**
     * @return Returns the value.
     */
    public String getValue() {
        return value;
    }
}