/*******************************************************************************
 * Copyright (c) 2005 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Feb 18, 2005
 *
 * Contributors:
 *    Justin Braga - initial API and implementation
 * 
 * $Id: IMember.java,v 1.1 2006/01/23 16:07:05 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.cm;

/**
 * @author <a href="mailto:trevelyan2001@users.sourceforge.net">Justin Braga
 *         </a>
 *  
 */
public interface IMember extends IObject {
    public String getName() throws RemoteException;
    
    public boolean isAbstract() throws RemoteException;
    public boolean isPublic() throws RemoteException;
    public boolean isProtected() throws RemoteException;
    public boolean isPrivate() throws RemoteException;
    
    public boolean isStatic() throws RemoteException;
    public boolean isFinal() throws RemoteException;
    public boolean isSynchronized() throws RemoteException;
}