/*******************************************************************************
 * Copyright (c) 2004 Worcester Polytechnic Institute.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Initially created on Mar 26, 2005
 *
 * Contributors:
 *    Liam Morley - initial API and implementation
 * 
 * $Id: RemoteException.java,v 1.1 2006/01/23 16:07:05 bigben Exp $
 *******************************************************************************/
package edu.wpi.ebob.model.cm;

/**
 * @author <a href="mailto:imotic@users.sourceforge.net">Liam Morley </a>
 *  
 */
public abstract class RemoteException extends Exception implements IObject {

    /**
     *  
     */
    public RemoteException() {
        super();
    }

    /**
     * @param message
     */
    public RemoteException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public RemoteException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public RemoteException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @see edu.wpi.ebob.model.cm.IObject#getIClass()
     */
    public abstract IClass getIClass();
}